Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/fullCfg.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/fullCfg.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/fullCfg.cfg	(revision 1106)
@@ -129,5 +129,5 @@
 DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
 DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -316,26 +316,26 @@
 #NumLCUInUnit                       : 1                # Number of LCU in an Unit. Fraction is not allowed
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on ) (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3				   # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 3				   # Log2 of sub-PU size for IvMvPred (2...6)
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                          # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1106)
@@ -377,11 +377,15 @@
   ("DepthFlag",             m_depthFlag          , std::vector<Int>(1,0), "Depth Flag")
 #if H_3D_DIM
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   ("DMM",                   m_useDMM,           true,  "Depth intra model modes")
   ("IVP",                   m_useIVP,           true,  "intra-view prediction")
   ("SDC",                   m_useSDC,           true,  "Simplified depth coding")
+#endif
   ("DLT",                   m_useDLT,           true,  "Depth lookup table")
 #endif
 #if H_3D
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   ("SingleDepthMode",    m_useSingleDepthMode, true, "Single depth mode")                         
+#endif
 #endif
 #endif
@@ -534,4 +538,5 @@
   ("DeblockingFilterMetric",         m_DeblockingFilterMetric,         false )
 
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_ARP
   ("AdvMultiviewResPred",      m_uiUseAdvResPred,           (UInt)1, "Usage of Advanced Residual Prediction" )
@@ -541,8 +546,10 @@
   ("SubPUMPILog2Size", m_iSubPUMPILog2Size, (Int)3, "Sub-PU MPI size index: 2^n")
 #endif
+#endif
 #if H_3D_IC
   ("IlluCompEnable",           m_abUseIC, true, "Enable illumination compensation")
   ("IlluCompLowLatencyEnc",    m_bUseLowLatencyICEnc, false, "Enable low-latency illumination compensation encoding")
 #endif
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_INTER_SDC
   ("InterSDC",                 m_bDepthInterSDCFlag,        true, "Enable depth inter SDC")
@@ -553,4 +560,5 @@
 #if H_3D_IV_MERGE
   ("MPI",                      m_bMPIFlag,        true, "Enable MPI")
+#endif
 #endif
   // Coding tools
@@ -793,4 +801,7 @@
 
 #endif //HHI_VSO
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  ("QTL",                             m_bUseQTL                 , true          , "Use depth quad tree limitation (encoder only)" )
+#else
 #if H_3D_QTLPC
   ("LimQtPredFlag",                   m_bLimQtPredFlag          , true          , "Use Predictive Coding with QTL" )
@@ -808,4 +819,23 @@
 #if H_3D
   ("IvMvScaling",                     m_ivMvScalingFlag      ,  true            , "inter view motion vector scaling" )    
+#endif
+#endif
+
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  ("IvMvPredFlag"          , m_ivMvPredFlag          , std::vector< Bool >(2,true)                    , "Inter-view motion prediction"              )
+  ("IvMvScalingFlag"       , m_ivMvScalingFlag       , std::vector< Bool >(2,true)                    , "Inter-view motion vector scaling"          )
+  ("Log2SubPbSizeMinus3"   , m_log2SubPbSizeMinus3   , 0                                              , "Log2 minus 3 of sub Pb size"               )
+  ("IvResPredFlag"         , m_ivResPredFlag         , true                                           , "Inter-view residual prediction"            )
+  ("DepthRefinementFlag"   , m_depthRefinementFlag   , true                                           , "Depth to refine disparity"                 )
+  ("ViewSynthesisPredFlag" , m_viewSynthesisPredFlag , true                                           , "View synthesis prediction"                 )
+  ("DepthBasedBlkPartFlag" , m_depthBasedBlkPartFlag , true                                           , "Depth base block partitioning"             )
+  ("MpiFlag"               , m_mpiFlag               , true                                           , "Motion inheritance from texture to depth"  )
+  ("Log2MpiSubPbSizeMinus3", m_log2MpiSubPbSizeMinus3, 0                                              , "Log2 minus 3 of sub Pb size for MPI"       )
+  ("IntraContourFlag"      , m_intraContourFlag      , true                                           , "Intra contour mode"                        )
+  ("IntraWedgeFlag"        , m_intraWedgeFlag        , true                                           , "Intra wedge mode and segmental depth DCs"  )
+  ("IntraSdcFlag"          , m_intraSdcFlag          , true                                           , "Intra depth DCs"                           )
+  ("QtPredFlag"            , m_qtPredFlag            , true                                           , "Quad tree prediction from texture to depth")
+  ("InterSdcFlag"          , m_interSdcFlag          , true                                           , "Inter depth DCs"                           )
+  ("IntraSingleFlag"       , m_intraSingleFlag       , true                                           , "Intra single mode"                         )
 #endif
 #endif //H_3D
@@ -1650,7 +1680,18 @@
 
 #if H_3D_ARP
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   xConfirmPara( ( 0 != m_uiUseAdvResPred ) &&  ( 1 != m_uiUseAdvResPred ), "UseAdvResPred must be 0 or 1." );
 #endif
+#endif
 #if H_3D_SPIVMP
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  xConfirmPara( m_log2SubPbSizeMinus3 < 0,                                        "Log2SubPbSizeMinus3 must be equal to 0 or greater.");
+  xConfirmPara( m_log2SubPbSizeMinus3 > 3,                                        "Log2SubPbSizeMinus3 must be equal to 3 or smaller.");
+  xConfirmPara( (1<< ( m_log2SubPbSizeMinus3 + 3) ) > m_uiMaxCUWidth,              "Log2SubPbSizeMinus3 must be  equal to log2(maxCUSize)-3 or smaller.");
+ 
+  xConfirmPara( m_log2MpiSubPbSizeMinus3 < 0,                                        "Log2MpiSubPbSizeMinus3 must be equal to 0 or greater.");
+  xConfirmPara( m_log2MpiSubPbSizeMinus3 > 3,                                        "Log2MpiSubPbSizeMinus3 must be equal to 3 or smaller.");
+  xConfirmPara( (1<< (m_log2MpiSubPbSizeMinus3 + 3)) > m_uiMaxCUWidth,               "Log2MpiSubPbSizeMinus3 must be equal to log2(maxCUSize)-3 or smaller.");
+#else
   xConfirmPara( m_iSubPULog2Size < 3,                                        "SubPULog2Size must be 3 or greater.");
   xConfirmPara( m_iSubPULog2Size > 6,                                        "SubPULog2Size must be 6 or smaller.");
@@ -1660,4 +1701,5 @@
   xConfirmPara( m_iSubPUMPILog2Size > 6,                                        "SubPUMPILog2Size must be 6 or smaller.");
   xConfirmPara( ( 1 << m_iSubPUMPILog2Size ) > m_uiMaxCUWidth,                  "SubPUMPILog2Size must be log2(maxCUSize) or smaller.");
+#endif
 #endif
 #if ADAPTIVE_QP_SELECTION
@@ -2606,9 +2648,35 @@
   printf("WVSO:%d ", m_bUseWVSO );  
 #endif
+
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  printf( "QTL:%d "                  , m_bUseQTL);
+  printf( "IlluCompEnable:%d "       , m_abUseIC);
+  printf( "IlluCompLowLatencyEnc:%d ",  m_bUseLowLatencyICEnc);
+  printf( "DLT:%d ", m_useDLT );
+
+
+  printf( "IvMvPred:%d %d "    , m_ivMvPredFlag[0], m_ivMvPredFlag[1] );
+  printf( "IvMvScaling:%d %d "    , m_ivMvScalingFlag[0], m_ivMvScalingFlag[1] );
+
+  printf( "Log2SubPbSizeMinus3:%d "    , m_log2SubPbSizeMinus3            );
+  printf( "IvResPred:%d "              , m_ivResPredFlag          ? 1 : 0 );
+  printf( "DepthRefinement:%d "        , m_depthRefinementFlag    ? 1 : 0 );
+  printf( "ViewSynthesisPred:%d "      , m_viewSynthesisPredFlag  ? 1 : 0 );
+  printf( "DepthBasedBlkPart:%d "      , m_depthBasedBlkPartFlag  ? 1 : 0 );
+  printf( "Mpi:%d "                    , m_mpiFlag                ? 1 : 0 );
+  printf( "Log2MpiSubPbSizeMinus3:%d " , m_log2MpiSubPbSizeMinus3         );
+  printf( "IntraContour:%d "           , m_intraContourFlag       ? 1 : 0 );
+  printf( "IntraWedge:%d "             , m_intraWedgeFlag         ? 1 : 0 );
+  printf( "IntraSdc:%d "               , m_intraSdcFlag           ? 1 : 0 );
+  printf( "QtPred:%d "                 , m_qtPredFlag             ? 1 : 0 );
+  printf( "InterSdc:%d "               , m_interSdcFlag           ? 1 : 0 );
+  printf( "IntraSingle:%d "            , m_intraSingleFlag        ? 1 : 0 );
+
+#else
 #if H_3D_QTLPC
   printf("LimQtPredFlag:%d ", m_bLimQtPredFlag ? 1 : 0);
   printf("QTL:%d ", m_bUseQTL);
 #endif
-#if H_3D_IV_MERGE
+#if H_3D_IV_MERGE  
   printf("IvMvPred:%d %d", m_ivMvPredFlag[0] ? 1 : 0, m_ivMvPredFlag[1] ? 1 : 0);
 #if H_3D_SPIVMP
@@ -2651,4 +2719,6 @@
   printf( "MPI:%d ", m_bMPIFlag ? 1 : 0 );
 #endif
+#endif
+
   printf("\n\n");  
 
Index: branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.h	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.h	(revision 1106)
@@ -132,7 +132,8 @@
   Bool m_higherLayerIrapSkipFlag;
 
-
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_IV_MERGE
   vector<Bool>           m_ivMvPredFlag;                      ///< Interview motion vector prediction 
+
 #if H_3D_SPIVMP
   Int                    m_iSubPULog2Size;                    
@@ -147,8 +148,12 @@
   UInt                   m_uiARPStepNum;
 #endif
+#endif
+
 #if H_3D_IC
   Bool   m_abUseIC;
   Bool   m_bUseLowLatencyICEnc;
 #endif
+
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_NBDV_REF
   Bool m_depthRefinementFlag;  
@@ -159,4 +164,5 @@
 #if H_3D
   Bool m_ivMvScalingFlag; 
+#endif
 #endif
 #endif
@@ -486,15 +492,20 @@
 #endif
 #if H_3D_DIM
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   Bool      m_useDMM;                                        ///< flag for using DMM
   Bool      m_useIVP;
   Bool      m_useSDC;                                        ///< flag for using SDC
+#endif
   Bool      m_useDLT;                                        ///< flag for using DLT
 #endif
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_SINGLE_DEPTH
   Bool     m_useSingleDepthMode;                          ///< flag for using single depth mode
 #endif
+#endif
 #if H_3D_QTLPC
   Bool      m_bUseQTL;                                        ///< flag for using depth QuadTree Limitation
 #endif
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_INTER_SDC
   Bool m_bDepthInterSDCFlag;                                ///< flag for inter SDC of depth map coding
@@ -506,4 +517,24 @@
   Bool m_bMPIFlag;                                           ///< flag for MPI of depth map coding
 #endif
+#endif
+
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  std::vector< Bool >    m_ivMvPredFlag;
+  std::vector< Bool >    m_ivMvScalingFlag;
+  Int                    m_log2SubPbSizeMinus3;
+  Bool                   m_ivResPredFlag;
+  Bool                   m_depthRefinementFlag;
+  Bool                   m_viewSynthesisPredFlag;
+  Bool                   m_depthBasedBlkPartFlag;
+  Bool                   m_mpiFlag;
+  Int                    m_log2MpiSubPbSizeMinus3;
+  Bool                   m_intraContourFlag;
+  Bool                   m_intraWedgeFlag;
+  Bool                   m_intraSdcFlag;
+  Bool                   m_qtPredFlag;
+  Bool                   m_interSdcFlag;
+  Bool                   m_intraSingleFlag;
+#endif
+
 #endif
   // internal member functions
Index: branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1106)
@@ -140,5 +140,7 @@
   xSetVPSVUI               ( vps ); 
 #if H_3D
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   xSetVPSExtension2        ( vps ); 
+#endif
   m_ivPicLists.setVPS      ( &vps );
   xDeriveDltArray          ( vps, dlt );
@@ -173,4 +175,34 @@
     vps.printPTL(); 
   }
+
+#if HHI_TOOL_PARAMETERS_I2_J0107
+#if H_3D
+  // Set 3d tool parameters
+
+  for (Int d = 0; d < 2; d++)
+  {  
+    m_sps3dExtension.setIvMvPredFlag          ( d, m_ivMvPredFlag[d]       );
+    m_sps3dExtension.setIvMvScalingFlag       ( d, m_ivMvScalingFlag[d]    );
+    if (d == 0 )
+    {    
+      m_sps3dExtension.setLog2SubPbSizeMinus3   ( d, m_log2SubPbSizeMinus3   );
+      m_sps3dExtension.setIvResPredFlag         ( d, m_ivResPredFlag         );
+      m_sps3dExtension.setDepthRefinementFlag   ( d, m_depthRefinementFlag   );
+      m_sps3dExtension.setViewSynthesisPredFlag ( d, m_viewSynthesisPredFlag );
+      m_sps3dExtension.setDepthBasedBlkPartFlag ( d, m_depthBasedBlkPartFlag );
+    }
+    else
+    {    
+      m_sps3dExtension.setMpiFlag               ( d, m_mpiFlag               );
+      m_sps3dExtension.setLog2MpiSubPbSizeMinus3( d, m_log2MpiSubPbSizeMinus3);
+      m_sps3dExtension.setIntraContourFlag      ( d, m_intraContourFlag      );
+      m_sps3dExtension.setIntraSdcWedgeFlag     ( d, m_intraSdcFlag || m_intraWedgeFlag     );
+      m_sps3dExtension.setQtPredFlag            ( d, m_qtPredFlag            );
+      m_sps3dExtension.setInterSdcFlag          ( d, m_interSdcFlag          );
+      m_sps3dExtension.setIntraSingleFlag       ( d, m_intraSingleFlag       );  
+    }
+  }
+#endif
+#endif
 
   for(Int layerIdInVps = 0; layerIdInVps < m_numberOfLayers; layerIdInVps++)
@@ -216,15 +248,26 @@
     m_cTEncTop.setDWeight                      ( isDepth ? m_iDWeight             : 0     );
 #endif // H_3D_VSO
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_SPIVMP
     m_cTEncTop.setSubPULog2Size                 (( isDepth || 0==layerIdInVps ) ? 0 : m_iSubPULog2Size   );
     m_cTEncTop.setSubPUMPILog2Size              ( !isDepth ? 0 : m_iSubPUMPILog2Size   );
 #endif
+#endif
 #if H_3D_IC
     m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_abUseIC );
     m_cTEncTop.setUseICLowLatencyEnc           ( m_bUseLowLatencyICEnc );
 #endif
-  //========== Depth intra modes ==========
+
+    
+#if HHI_TOOL_PARAMETERS_I2_J0107
+    m_cTEncTop.setUseDMM                       ( isDepth ? m_intraWedgeFlag   : false );
+    m_cTEncTop.setUseSDC                       ( isDepth ? m_intraSdcFlag     : false );
+    m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT   : false );
+    m_cTEncTop.setUseQTL                       ( isDepth ? m_bUseQTL  : false );
+#else
+//========== Depth intra modes ==========
 #if H_3D_DIM
     m_cTEncTop.setUseDMM                       ( isDepth ? m_useDMM               : false );
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D_FCO
     m_cTEncTop.setUseIVP                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_useIVP               : false );
@@ -232,7 +275,10 @@
     m_cTEncTop.setUseIVP                       ( isDepth ? m_useIVP               : false );
 #endif
+#endif
     m_cTEncTop.setUseSDC                       ( isDepth ? m_useSDC               : false );
+#endif
+
     m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT               : false );
-#endif
+
 #if H_3D_SINGLE_DEPTH
     m_cTEncTop.setUseSingleDepthMode           ( isDepth ? m_useSingleDepthMode   : false );
@@ -254,4 +300,10 @@
     m_cTEncTop.setUseMPI                       ( isDepth ? m_bMPIFlag    : false );
 #endif
+#endif
+#endif
+
+
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  m_cTEncTop.setSps3dExtension                 ( m_sps3dExtension );
 #endif
 #endif // H_3D
@@ -1436,5 +1488,9 @@
         else
         {        
+#if HHI_TOOL_PARAMETERS_I2_J0107
+          if( m_depthFlag[ curLayerIdInVps ] && ( m_mpiFlag|| m_qtPredFlag || m_intraContourFlag ) ) 
+#else
           if( m_depthFlag[ curLayerIdInVps ] && ( m_bMPIFlag || m_bLimQtPredFlag || m_useIVP  ) ) 
+#endif
           {          
             Int nuhLayerIdTex = vps.getLayerIdInNuh( vps.getViewIndex( curLayerIdInNuh ), false ); 
@@ -1444,6 +1500,9 @@
             }
           }
-
+#if HHI_TOOL_PARAMETERS_I2_J0107
+          if( !m_depthFlag[ curLayerIdInVps ] && vps.getNumRefListLayers( curLayerIdInNuh) > 0  && ( m_depthRefinementFlag || m_viewSynthesisPredFlag || m_depthBasedBlkPartFlag ) ) 
+#else
           if( !m_depthFlag[ curLayerIdInVps ] && vps.getNumRefListLayers( curLayerIdInNuh) > 0  && ( m_depthRefinementFlag || m_viewSynthesisPredFlag || m_bUseDBBP) ) 
+#endif
           {  
             Int maxPresentTid =-1; 
@@ -2148,4 +2207,6 @@
 
 #if H_3D
+#if HHI_TOOL_PARAMETERS_I2_J0107
+#else
 Void TAppEncTop::xSetVPSExtension2( TComVPS& vps )
 {
@@ -2230,4 +2291,5 @@
   }  
 }
+#endif
 
 Void TAppEncTop::xDeriveDltArray( TComVPS& vps, TComDLT& dlt )
Index: branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.h	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncTop.h	(revision 1106)
@@ -92,4 +92,7 @@
 #if H_3D
   TComDLT                    m_dlt;                         ///< dlt
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  TComSps3dExtension         m_sps3dExtension;              ///< Currently all layers share the same sps 3D Extension  
+#endif
 #endif
 
@@ -146,5 +149,7 @@
 #endif
 #if H_3D
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   Void xSetVPSExtension2( TComVPS& vps );
+#endif
   Void xDeriveDltArray( TComVPS& vps, TComDLT& dlt );
 #endif
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TAppCommon/TAppComCamPara.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1106)
@@ -1203,6 +1203,8 @@
   m_uiCamParsCodedPrecision = uiCodedCamParsPrecision;
   m_iLog2Precision          = iLog2Precision;
+#if !HHI_TOOL_PARAMETERS_I2_J0107
 #if HHI_INTERVIEW_SKIP
   m_iCurrentFrameId         = 0 ;
+#endif
 #endif
 
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1106)
@@ -2425,5 +2425,9 @@
     Bool depthRefineFlag = false;
 #if H_3D_NBDV_REF
+#if HHI_TOOL_PARAMETERS_I2_J0107
+    depthRefineFlag = m_pcSlice->getDepthRefinementFlag(  );
+#else
     depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() );
+#endif
 #endif // H_3D_NBDV_REF
     
@@ -3336,5 +3340,9 @@
 inline Bool TComDataCU::xAddVspCand( Int mrgCandIdx, DisInfo* pDInfo, Int& iCount)
 {
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  if ( m_pcSlice->getViewIndex() == 0 || !m_pcSlice->getViewSynthesisPredFlag( ) || m_pcSlice->getIsDepth() || pDInfo->m_aVIdxCan == -1)
+#else
   if ( m_pcSlice->getViewIndex() == 0 || !m_pcSlice->getVPS()->getViewSynthesisPredFlag( m_pcSlice->getLayerIdInVps() ) || m_pcSlice->getIsDepth() || pDInfo->m_aVIdxCan == -1)
+#endif
   {
     return false;
@@ -3950,5 +3958,9 @@
   deriveLeftBottomIdxGeneral  ( uiAbsPartIdx, uiPUIdx, uiPartIdxLB );
 #if H_3D
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  Bool bMPIFlag   = getSlice()->getMpiFlag(); 
+#else
   Bool bMPIFlag   = getSlice()->getVPS()->getMPIFlag( getSlice()->getLayerIdInVps() );
+#endif
   Bool bIsDepth = getSlice()->getIsDepth();
 #endif 
@@ -4429,5 +4441,9 @@
   Int    ivCandDir   [4] = {0, 0, 0, 0};
 
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  Bool ivMvPredFlag   = getSlice()->getIvMvPredFlag();
+#else
   Bool ivMvPredFlag   = getSlice()->getVPS()->getIvMvPredFlag( getSlice()->getLayerIdInVps() );
+#endif
 
   ivMvPredFlag &= (nPSW + nPSH > 12);
@@ -6000,5 +6016,9 @@
     iScale = xGetDistScaleFactor( iCurrViewId, iCurrRefViewId, iColViewId, iColRefViewId );
 
+#if HHI_TOOL_PARAMETERS_I2_J0107
+    if ( iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) )
+#else
     if ( iScale != 4096 && m_pcSlice->getVPS()->getIvMvScalingFlag(getSlice()->getLayerIdInVps()) ) 
+#endif
     {
       rcMv = cColMv.scaleMv( iScale );
@@ -6188,5 +6208,9 @@
       Int iViewIdx = getSlice()->getDefaultRefViewIdx();
       pDisp->m_aVIdxCan = iViewIdx;
+#if HHI_TOOL_PARAMETERS_I2_J0107
+      Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
+#else
       Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ 1 << ( getSlice()->getSPS()->getBitDepthY() - 1 ) ];
+#endif
 
       cMv.setHor(iDisp);
@@ -6301,5 +6325,9 @@
   }
 #if H_3D_NBDV_REF
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  if( !m_pcSlice->getDepthRefinementFlag( ) )
+#else
   if( !m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ) )
+#endif
   {
     bDepthRefine = false;
@@ -6804,5 +6832,9 @@
   Bool depthRefineFlag = false; 
 #if H_3D_NBDV_REF
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  depthRefineFlag = m_pcSlice->getDepthRefinementFlag( ); 
+#else
   depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ); 
+#endif
 #endif // H_3D_NBDV_REF
 
@@ -6862,4 +6894,7 @@
 Void TComDataCU::getSPPara(Int iPUWidth, Int iPUHeight, Int& iNumSP, Int& iNumSPInOneLine, Int& iSPWidth, Int& iSPHeight)
 {
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  Int iSubPUSize = ( getSlice()->getIsDepth() ? getSlice()->getMpiSubPbSize() : getSlice()->getSubPbSize() );
+#else
   Int iSubPUSize = 1<<getSlice()->getVPS()->getSubPULog2Size(getSlice()->getLayerId());
   if( getSlice()->getIsDepth() )
@@ -6867,4 +6902,5 @@
     iSubPUSize = 1<<getSlice()->getVPS()->getSubPUMPILog2Size(getSlice()->getLayerId());
   }
+#endif
 
   iNumSPInOneLine = iPUWidth/iSubPUSize;
@@ -6945,5 +6981,9 @@
   Bool depthRefineFlag = false; 
 #if H_3D_NBDV_REF
+#if HHI_TOOL_PARAMETERS_I2_J0107
+  depthRefineFlag = m_pcSlice->getDepthRefinementFlag( ); 
+#else
   depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ); 
+#endif
 #endif // H_3D_NBDV_REF
 
